package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWFCF6Response {

    @Parameter(name = "ADMDobaPlatnostiHesla")
    Long aDMDobaPlatnostiHesla();

    @Parameter(name = "ADMExistujiciUcet")
    String aDMExistujiciUcet();

    @Parameter(name = "ADMIPAddress")
    String aDMIPAddress();

    @Parameter(name = "ADMJednorazoveHeslo")
    String aDMJednorazoveHeslo();

    @Parameter(name = "ADMOMKod")
    String aDMOMKod();

    @Parameter(name = "ADMPocetChybnychZadani")
    Long aDMPocetChybnychZadani();

    @Parameter(name = "ADMReprezentantOMJmenoPrijmeni")
    String aDMReprezentantOMJmenoPrijmeni();

    @Parameter(name = "ADMReprezentantOMTelefon")
    String aDMReprezentantOMTelefon();

    @Parameter(name = "ADMRoleVsechnaOM")
    String aDMRoleVsechnaOM();

    @Parameter(name = "ADMTelefonHotline")
    String aDMTelefonHotline();

    @Parameter(name = "ADMTelefonServis")
    String aDMTelefonServis();

    @Parameter(name = "ADMTimeOut")
    Long aDMTimeOut();

    @Parameter(name = "ADMUzivatelID")
    Long aDMUzivatelID();

    @Parameter(name = "ADMUzivatelJazykID")
    Long aDMUzivatelJazykID();

    @Parameter(name = "ADMUzivatelJmeno")
    String aDMUzivatelJmeno();

    @Parameter(name = "ADMUzivatelJmenoPrijmeni")
    String aDMUzivatelJmenoPrijmeni();

    @Parameter(name = "ADMUzivatelPrijmeni")
    String aDMUzivatelPrijmeni();

    @Parameter(name = "ADMUzivatelPusobisteID")
    Long aDMUzivatelPusobisteID();

    @Parameter(name = "ADMUzivatelSSO")
    Long aDMUzivatelSSO();

    @Parameter(name = "ADMUzivatelTisk")
    String aDMUzivatelTisk();

    @Parameter(name = "ADMUzivatelUrovenLogovani")
    Long aDMUzivatelUrovenLogovani();

    @Parameter(name = "ADMVyssiPrava")
    String aDMVyssiPrava();

    @Parameter(name = "Data")
    java.util.List<MWFCF6Data> data();

}